
From: tglx@linutronixThomas Gleixner <tglx@linutronix.de>

Convert the initializers of hw_interrupt_type structures to C99 initializers.

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/sh64/kernel/irq_intc.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN arch/sh64/kernel/irq_intc.c~sh64-c99-initializers-for-hw_interrupt_type-structures arch/sh64/kernel/irq_intc.c
--- 25/arch/sh64/kernel/irq_intc.c~sh64-c99-initializers-for-hw_interrupt_type-structures	Mon Jul 11 15:29:51 2005
+++ 25-akpm/arch/sh64/kernel/irq_intc.c	Mon Jul 11 15:29:51 2005
@@ -107,13 +107,13 @@ static void mask_and_ack_intc(unsigned i
 static void end_intc_irq(unsigned int irq);
 
 static struct hw_interrupt_type intc_irq_type = {
-	"INTC",
-	startup_intc_irq,
-	shutdown_intc_irq,
-	enable_intc_irq,
-	disable_intc_irq,
-	mask_and_ack_intc,
-	end_intc_irq
+	.typename = "INTC",
+	.startup = startup_intc_irq,
+	.shutdown = shutdown_intc_irq,
+	.enable = enable_intc_irq,
+	.disable = disable_intc_irq,
+	.ack = mask_and_ack_intc,
+	.end = end_intc_irq
 };
 
 static int irlm;		/* IRL mode */
_
